Relesys API Docs

v1.4

https://api.relesystest.net/api/v1.4

Users

Update User
PATCH /users/{userId}
https://api.relesystest.net/api/v1.4/users/{userId}
Update a user based on the ID provided. Accepts a JsonPatch request in the body.

When patching the customFields array, the externalId (see the documentation for 'Get User Custom Fields') is used as the key reference.
Scopes: relesys.api, relesys.api:write, relesys.api.users, relesys.api.users:write
URL Path
userId string / guid The user's unique identifier required
Request Body
application/json-patch+json
JSON
[{"value":"My patched name","path":"/name","op":"add"},{"value":{"countryCode":45,"number":"11223344"},"path":"/phoneNumber","op":"replace"},{"path":"/title","op":"remove"},{"value":{"customfieldone":"Custom field 1","customfieldtwo":"Custom field 2","birthday":"2002-12-30","skills":["Marketing","Design"]},"path":"/customFields","op":"add"},{"value":"Female","path":"/gender","op":"replace"},{"value":"NUA","path":"/initials","op":"add"},{"value":"R-12345","path":"/registerNumber","op":"add"},{"value":"D-67890","path":"/dutyPlanNumber","op":"add"},{"value":"99310784-d3f4-40dc-9cb5-4d9122f74260","path":"/imageId","op":"replace"},{"value":"88d3b187-9aa4-4b27-86b3-9b25f56f10f7","path":"/memberCardId","op":"replace"},{"value":"1234567890","path":"/cardNumber","op":"replace"}]
array[object]
  from string optional
  op string optional
  path string optional
  value object optional
Responses
application/json
JSON
{"data":{"id":"210892b7-066e-46b8-b25d-85ff65f6d469","url":null,"departmentUrl":null,"status":"Activated","creationDateTime":"2026-08-22T23:31:19.1204921Z","lastModifiedDateTime":"2026-08-22T23:31:19.1204921Z","image":{"id":"53061923-696b-423d-ba98-b82435becfd4","downloadUrl":null,"referenceUrl":null,"contentType":"image/png","fileName":"image.png"},"memberCard":{"name":"Member Card Name","cardNumber":"1234567890","id":"85f23296-7e62-430b-bff6-c09c97848af1","url":null},"externalId":"NUA","name":"New User A","initials":"NUA","userName":"UserNameA","title":"User Title A","dataSource":"RelesysAPI","email":"personalmaila@testmail.com","secondaryEmail":"businessmaila@testmail.com","phoneNumber":{"countryCode":45,"number":"12345678"},"secondaryPhoneNumber":{"countryCode":45,"number":"12345679"},"birthDate":"2002-12-30T00:00:00Z","gender":"Male","primaryDepartmentId":"59cda725-7572-42ea-ba0b-d186365232d3","additionalDepartments":[{"id":"7081c65c-52c9-4326-b269-f6410abc79fe","dataSource":"RelesysAPI"}],"userGroups":[{"id":"59f9e8d3-30d4-4ed5-ae9c-f05e27bb39bb","dataSource":"RelesysAPI"},{"id":"ccbe7bfe-4d16-4e55-9bd2-e15b213fbd11","dataSource":"RelesysAPI"}],"employmentDate":"2018-12-30T13:30:00Z","employmentEndDate":"2021-12-30T13:30:00Z","customFields":{"customfieldone":"Custom field 1","birthday":"2002-12-30","skills":["Marketing"]},"employmentType":"Full-time manager","registerNumber":"RN12345","dutyPlanNumber":"DP12345"}}
object
  data object      
   additionalDepartments array[object]      
    dataSource string      
    id string / guid      
   birthDate datetime      
   customFields dictionary`2      
   dataSource string      
   departmentUrl string      
   dutyPlanNumber string      
   email string      
   employmentDate datetime      
   employmentEndDate datetime      
   employmentType string      
   externalId string      
   gender string      
   id string / guid      
   image object      
    contentType string      
    downloadUrl string      
    fileName string      
    id string / guid      
    referenceUrl string      
   initials string      
   memberCard object      
    cardNumber string      
    id string / guid      
    name string      
    url string      
   name string      
   phoneNumber object      
    countryCode integer      
    number string      
   primaryDepartmentId string / guid      
   registerNumber string      
   secondaryEmail string      
   secondaryPhoneNumber object      
    countryCode integer      
    number string      
   status string      
   title string      
   url string      
   userGroups array[object]      
    dataSource string      
    id string / guid      
   userName string